Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api-v2.watchcollect.com/v2/sessions \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api-v2.watchcollect.com/v2/sessions', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api-v2.watchcollect.com/v2/sessions" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "items": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "waha_name": "user-user_35eh25qkkIVwab803vgofO1uSsl-receiving", "role": "receiving", "engine": "WEBJS", "status": "WORKING", "can_receive": true, "can_send": true, "label": "Main receiving session", "phone_number": "<string>", "connecting_user_id": "<string>", "last_status_at_ms": 123, "last_message_at_ms": 123, "last_activity_at_ms": 123, "health_state": "healthy", "stale_after_ms": 123 } ] }
{ "error": { "code": "invalid_payload", "message": "event is required", "request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001" } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
receiving
sending
List of linked WAHA sessions.
Show child attributes